
Figure - Bug #114891
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113425 (New): V4.0专项--BSP专项--压测

【BSP】【EVT2】【压测】【Touch】【偶现】设备烧机启动到操作界面后，执行adb reboot，重启后设备屏
幕可以正常显示，但触控失灵，可以通过adb投屏点击
2022-12-28 12:42 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-28

Priority: Normal Due date: 2023-01-17

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212240332

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

设备刷机和恢复出厂后，第一次开机

【测试步骤】

1、设备启动后滑动跳过开机引导界面

2、通过*#147#打开tlog抓取日志

3、执行adb reboot

4、查看设备运行情况

【预期结果】

4. 设备显示、触控、功能等均正常

【实际结果】

4. 设备显示正常，但是触控失灵，重新插拔显示线问题仍然存在

Others：

偶现一次

出现版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212240332

History

#1 - 2022-12-28 13:42 - 移动测试一组_CDTS 刘强

- Assignee changed from CD SYSTEM-胡兵 to CD BSP-杜磊

#2 - 2022-12-28 14:38 - 移动测试一组_CDTS 刘强

- File VX_tlog_xxx_1227121847.tar.gz added

#3 - 2023-01-03 11:14 - CDTS_TEST 刘勇

使用FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212310352 版本，刷机后 2/3次出现了touch点击无响应。EVT2-VX1和EVT2-VC1板端

#4 - 2023-01-03 14:22 - CD BSP-杜磊

- Status changed from New to ASSIGNED
- Assignee changed from CD BSP-杜磊 to CD SYSTEM-龚元祝

帮忙check一下是否和优化tp开机时间有关

#5 - 2023-01-04 14:29 - CD SYSTEM-龚元祝

- File 中科创达软件股份有限公司20230104-135923.png added

根据VC1日志：

tlog_xxx_1224020043.tar.gz (5.3 MB) Delete 移动测试一组_CDTS 刘强, 2022-12-28 12:42

1.txt Magnifier (2.42 MB) Delete 移动测试一组_CDTS 刘强, 2022-12-28 12:42

https://share.thundersoft.com/redmine/attachments/72216/%E4%B8%AD%E7%A7%91%E5%88%9B%E8%BE%BE%E8%BD%AF%E4%BB%B6%E8%82%A1%E4%BB

%BD%E6%9C%89%E9%99%90%E5%85%AC%E5%8F%B820230104-135923.png

TP驱动初始化正常，后面TP的I2C通信失败。

需要驱动组分析失败原因。

VX1没有看到失败的日志，需要测试组复现并抓取日志。

#6 - 2023-01-04 14:36 - CD SYSTEM-龚元祝

- Assignee changed from CD SYSTEM-龚元祝 to CD BSP-杜磊

#7 - 2023-01-04 17:13 - CD BSP-杜磊

- File tlog_xxx_1228014105.tar.gz added

#8 - 2023-01-04 17:17 - 物联网测试组_CDTS 段小刚

- File tlog.zip added

#9 - 2023-01-05 10:17 - CD BSP-杜磊

- % Done changed from 0 to 20

根据当前的log信息，VC1 touch驱动没有注册input设备，未现错误日志，

当前方法：

   修改log打印等级，添加更多log信息，分别编译user和userdebug版本进行测试

#10 - 2023-01-06 17:03 - CD BSP-杜磊

王成，刘强，

从之前的log看来，驱动没有注册完全，缺少一些关键log，如下分别编译了user和userdebug版本，帮忙复测并抓一下log, user版本需要打开usb授权，否则

无法进行debug。

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230104/202301041951-2032

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230104/202301041949-2031

#11 - 2023-01-06 17:04 - CD BSP-杜磊
- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

#12 - 2023-01-07 17:43 - CD BSP-杜磊

- File VX1-touch-error.txt added

VX1的touch失效问题在VB版本上复现，错误日志如下：

    行 3333: [   31.182374] init: starting service 'exec 22 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c cyttsp7_device_access)'...

    行 3333: [   31.182374] init: starting service 'exec 22 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c cyttsp7_device_access)'...

    行 3333: [   31.182374] init: starting service 'exec 22 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c cyttsp7_device_access)'...

    行 3380: [   31.253886] cyttsp7_i2c_adapter 0-0024: cyttsp7_i2c_probe begin

    行 3380: [   31.253886] cyttsp7_i2c_adapter 0-0024: cyttsp7_i2c_probe begin

    行 3381: [   31.253923] cyttsp7_i2c_adapter 0-0024: cyttsp7_init: INIT CYTTSP RST gpio=1106 and IRQ gpio=1107 ERR gpio=1123

    行 3381: [   31.253923] cyttsp7_i2c_adapter 0-0024: cyttsp7_init: INIT CYTTSP RST gpio=1106 and IRQ gpio=1107 ERR gpio=1123

    行 3381: [   31.253923] cyttsp7_i2c_adapter 0-0024: cyttsp7_init: INIT CYTTSP RST gpio=1106 and IRQ gpio=1107 ERR gpio=1123

    行 3406: [   31.356074] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

    行 3406: [   31.356074] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

    行 3406: [   31.356074] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

    行 3756: [   32.384096] cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

    行 3756: [   32.384096] cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

    行 3761: [   32.393857] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62

    行 3761: [   32.393857] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62

    行 3808: [   32.406143] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=-19...

    行 3808: [   32.406143] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=-19...

    行 3808: [   32.406143] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=-19...

    行 3814: [   32.416367] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_sleep_device: Device in BOOTLADER mode.

    行 3814: [   32.416367] cyttsp7_i2c_adapter 0-0024: _cyttsp7_core_sleep_device: Device in BOOTLADER mode.

    行 3816: [   32.426802] cyttsp7_i2c_adapter 0-0024: _cyttsp7_core_sleep: sleep state rc -22

    行 3816: [   32.426802] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_sleep: sleep state rc -22

    行 3819: [   32.472043] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_rt_suspend: Error on sleep

    行 3819: [   32.472043] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_rt_suspend: Error on sleep

    行 3821: [   32.483642] cyttsp7_i2c_adapter 0-0024: cyttsp7_probe: Fail initial startup r=-19

    行 3821: [   32.483642] cyttsp7_i2c_adapter 0-0024: cyttsp7_probe: Fail initial startup r=-19

    行 3823: [   32.519456] cyttsp7_i2c_adapter 0-0024: cyttsp7_probe failed.

    行 3823: [   32.519456] cyttsp7_i2c_adapter 0-0024: cyttsp7_probe failed.

    行 3900: [   32.542046] cyttsp7_i2c_adapter 0-0024: cyttsp7_i2c_probe end

    行 3900: [   32.542046] cyttsp7_i2c_adapter 0-0024: cyttsp7_i2c_probe end

    行 3901: [   32.543214] init: Service 'exec 22 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c cyttsp7_device_access)' (pid 1130)

exited with status 1 oneshot service took 1.360000 seconds in background

    行 3901: [   32.543214] init: Service 'exec 22 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c cyttsp7_device_access)' (pid 1130)

exited with status 1 oneshot service took 1.360000 seconds in background

    行 3901: [   32.543214] init: Service 'exec 22 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c cyttsp7_device_access)' (pid 1130)

exited with status 1 oneshot service took 1.360000 seconds in background

    行 3903: [   32.565374] init: Sending signal 9 to service 'exec 22 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c

cyttsp7_device_access)' (pid 1130) process group...

    行 3903: [   32.565374] init: Sending signal 9 to service 'exec 22 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c

cyttsp7_device_access)' (pid 1130) process group...

    行 3903: [   32.565374] init: Sending signal 9 to service 'exec 22 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c

cyttsp7_device_access)' (pid 1130) process group...

    行 4012: [   33.166974] Modules linked in: wlan(O+) cyttsp7_i2c cyttsp7 atmel_mxt_ts tsnv(O) machine_dlkm(O) wcd938x_slave_dlkm(O) wcd938x_dlkm(O)

wcd9xxx_dlkm(O) mbhc_dlkm(O) tx_macro_dlkm(O) rx_macro_dlkm(O) va_macro_dlkm(O) wsa_macro_dlkm(O) swr_ctrl_dlkm(O) bolero_cdc_dlkm(O)

wsa881x_dlkm(O) wcd_core_dlkm(O) stub_dlkm(O) hdmi_dlkm(O) swr_dlkm(O) pinctrl_lpi_dlkm(O) pinctrl_wcd_dlkm(O) usf_dlkm(O) native_dlkm(O)
platform_dlkm(O) q6_dlkm(O) adsp_loader_dlkm(O) apr_dlkm(O) snd_event_dlkm(O) q6_notifier_dlkm(O) q6_pdr_dlkm(O) msm_11ad_proxy

    行 4012: [   33.166974] Modules linked in: wlan(O+) cyttsp7_i2c cyttsp7 atmel_mxt_ts tsnv(O) machine_dlkm(O) wcd938x_slave_dlkm(O) wcd938x_dlkm(O)

wcd9xxx_dlkm(O) mbhc_dlkm(O) tx_macro_dlkm(O) rx_macro_dlkm(O) va_macro_dlkm(O) wsa_macro_dlkm(O) swr_ctrl_dlkm(O) bolero_cdc_dlkm(O)

wsa881x_dlkm(O) wcd_core_dlkm(O) stub_dlkm(O) hdmi_dlkm(O) swr_dlkm(O) pinctrl_lpi_dlkm(O) pinctrl_wcd_dlkm(O) usf_dlkm(O) native_dlkm(O)

platform_dlkm(O) q6_dlkm(O) adsp_loader_dlkm(O) apr_dlkm(O) snd_event_dlkm(O) q6_notifier_dlkm(O) q6_pdr_dlkm(O) msm_11ad_proxy

touch进入了bootloader 模式无法退出，导致驱动不能完全加载成功，进而touch无法使用。

对驱动做了错误处理后，驱动能自动判断当前tp模式，并且退出bootloader模式，进入normal模式。

[   47.170159] init: starting service 'exec 25 (/vendor/bin/modprobe a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c cyttsp7_device_access)'...

[   47.225361] cyttsp7_i2c_adapter 0-0024: cyttsp7_i2c_probe begin

[   47.231878] cyttsp7_i2c_adapter 0-0024: cyttsp7_init: INIT CYTTSP RST gpio=1106 and IRQ gpio=1107 ERR gpio=1123

[   47.332256] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

[   48.352288] cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

[   48.370537] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62

[   48.370540] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: ----------------- line=3511

[   49.376122] cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

[   49.386244] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset line=3514

[   49.386250] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=-62...

[   49.405399] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_sleep_device: Device in BOOTLADER mode.

[   49.405405] cyttsp7_i2c_adapter 0-0024: _cyttsp7_core_sleep: sleep state rc 22

[   49.448090] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_rt_suspend: Error on sleep

[   49.460287] cyttsp7_i2c_adapter 0-0024: cyttsp7_mt_probe: Fail get sysinfo pointer from core p=          (null)

[   49.478948] cyttsp7_i2c_adapter 0-0024: cyttsp7_i2c_probe end

[   49.497746] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_sleep_device: Device in BOOTLADER mode.

[   49.497753] cyttsp7_i2c_adapter 0-0024: _cyttsp7_core_sleep: sleep state rc -22

[   49.519433] cyttsp7_device_access_init: Registering device access module for core_id: cyttsp7_core0

[   49.530746] cyttsp7_i2c_adapter 0-0024: cyttsp7_device_access_probe: Fail get sysinfo pointer from core p=          (null)

[   49.542127] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_rt_suspend: Error on sleep

[   49.542154] cyttsp7_device_access_init: Cypress TTSP Device Access Driver (Built TTDA.02.06.908510) rc=0

[   50.521599] cyttsp7_i2c_adapter 0-0024: cyttsp7_watchdog_work: device found in bootloader mode

[   50.521610] cyttsp7_i2c_adapter 0-0024: _cyttsp7_queue_startup: cyttsp7_startup queued

[   50.620177] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

[   51.072128] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup: ----------------- line=3511

[   51.080366] cyttsp7_i2c_adapter 0-0024: exit_bootloader: ------------------ line=3197

[   51.098143] init: Service 'exec 25 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c cyttsp7_device_access)' (pid 1237) exited with

status 0 oneshot service took 3.922000 seconds in background

[   51.098158] init: Sending signal 9 to service 'exec 25 (/vendor/bin/modprobe -a -d /vendor/lib/modules/ atmel_mxt_ts cyttsp7 cyttsp7_i2c cyttsp7_device_access)' (pid

1237) process group...

[   51.225698] Modules linked in: cyttsp7_device_access wlan(O+) cyttsp7_i2c cyttsp7 atmel_mxt_ts tsnv(O) machine_dlkm(O) wcd938x_slave_dlkm(O)

wcd938x_dlkm(O) wcd9xxx_dlkm(O) mbhc_dlkm(O) tx_macro_dlkm(O) rx_macro_dlkm(O) va_macro_dlkm(O) wsa_macro_dlkm(O) swr_ctrl_dlkm(O)

bolero_cdc_dlkm(O) wsa881x_dlkm(O) wcd_core_dlkm(O) stub_dlkm(O) hdmi_dlkm(O) swr_dlkm(O) pinctrl_lpi_dlkm(O) pinctrl_wcd_dlkm(O) usf_dlkm(O)

native_dlkm(O) platform_dlkm(O) q6_dlkm(O) adsp_loader_dlkm(O) apr_dlkm(O) snd_event_dlkm(O) q6_notifier_dlkm(O) q6_pdr_dlkm(O) msm_11ad_proxy

[   51.518598] cyttsp7_i2c_adapter 0-0024: cyttsp7_si_get_test_data: SCANNING is ENABLED codel=1E

[   51.563163] cyttsp7_i2c_adapter 0-0024: TTSP Protocol Version is 3.2

[   51.633454] input: cyttsp7_mt as /devices/platform/soc/980000.i2c/i2c-0/0-0024/input/input3

[   51.641619] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=0...

下一步计划：

加修改VX1的patch，编译VB user版本，再进行复测，

1. 重启不失效

2. touch热插拔，touch能否正常

3. 亮灭屏后touch是否正常

2025-07-04 4/6



VC1暂未复现，需要继续复测，再进行分析

#13 - 2023-01-09 11:48 - 物联网测试组_CDTS 段小刚

- File vc1触控失灵log.zip added

#14 - 2023-01-10 10:14 - 物联网测试组_CDTS 段小刚

验证VX1的修复版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301071859

验证结果：重复上下电和重复reboot 未出现触控失灵现象

#15 - 2023-01-12 15:55 - CD TPM-王祥林

- Due date set to 2023-01-17

#16 - 2023-01-12 21:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175870 general/clo/la/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

Revert SYSTEM:PERFORMANCE: cyttsp7 and atmel_mxt driver changed to ko. 3/3This reverts commit 778e784bd4ca952f3b8c8cd7853fe76f7ea2400b.TC-RID:

1201-0100401IssueID: TS-R-DF-114891Change-Id: I243ce02fe14ac7d82ac1697a805964c37f90f592

#17 - 2023-01-12 21:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175869 general/platform/vendor/opensource/

display-drivers

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

Revert SYSTEM:PERFORMANCE: max96755,cyttsp7 and atmel_mxt driver changed to ko. 1/3This reverts commit

d957516d018f0b8c9ba83395ccb9a301f5709e92.TC-RID: 1201-0100401IssueID: TS-R-DF-114891Change-Id: I642e91e5d62150a803084f44cbbfaec090a2ff3a

#18 - 2023-01-12 21:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175871 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

Revert SYSTEM:PERFORMANCE: cyttsp7 and atmel_mxt driver changed to ko. 2/3This reverts commit 2868d837054fea0659e6c5068c143aec0bb579d1.TC-RID:

1201-0100401IssueID: TS-R-DF-114891Change-Id: I15c56ce854a14b46f195eb4898b210193ea740ac

2025-07-04 5/6



#19 - 2023-01-12 21:34 - CD BSP-杜磊

- Status changed from NEED_INFO to RESOLVED

- % Done changed from 20 to 100

请使用DB版本验证

#20 - 2023-01-12 22:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

176021 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

Revert SYSTEM:PERFORMANCE: cyttsp7 and atmel_mxt driver changed to ko. 3/3This reverts commit 778e784bd4ca952f3b8c8cd7853fe76f7ea2400b.TC-RID:

1201-0100401IssueID: TS-R-DF-114891Change-Id: I535ff418dd8d0048141c03861e08590a26b72601

#21 - 2023-01-17 15:41 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

验证结果：验证通过

#22 - 2023-01-17 15:41 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#23 - 2023-01-18 15:37 - 物联网测试组_CDTS 段小刚

验证版本：1月18好的DB——FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301180547

验证结果：进行断电重启50次未复现问题

Files

11.zip 735 KB 2022-12-28 移动测试一组_CDTS 刘强

tlog_xxx_1224020043.tar.gz 5.3 MB 2022-12-28 移动测试一组_CDTS 刘强

1.txt 2.42 MB 2022-12-28 移动测试一组_CDTS 刘强

20221228-124146.mp4 4.33 MB 2022-12-28 移动测试一组_CDTS 刘强

VX_tlog_xxx_1227121847.tar.gz 2.27 MB 2022-12-28 移动测试一组_CDTS 刘强

中科创达软件股份有限公司20230104-135923.png 250 KB 2023-01-04 CD SYSTEM-龚元祝

tlog_xxx_1228014105.tar.gz 4.38 MB 2023-01-04 CD BSP-杜磊

tlog.zip 2.26 MB 2023-01-04 物联网测试组_CDTS 段小刚

VX1-touch-error.txt 677 KB 2023-01-07 CD BSP-杜磊

vc1触控失灵log.zip 15.1 MB 2023-01-09 物联网测试组_CDTS 段小刚
